<div class="logo"><img src="assets/logoVisaal.jpg" width=400px height=100px;></div>
<h1 class="text-center" style="text-align:center">
  Bienvenue chez Kahines Concept!
</h1>
<!--<p>
  <button id="loginOut" (click)="seDeconnecter()">
    Se déconnecter
  </button>
</p>-->
<div class="container">
  <div class="container col-m-12">

    <!-- SideBar--->
    <div class="sidenav">
      <div *ngIf="authService.currentUser">
        <h5 class="text-primary soignant">Le Soignant</h5>
        <!--<h4>
          <strong>ID:</strong> {{ authService.currentUserId }}
        </h4>-->
        <h4>
          <strong>Email:</strong> {{ authService.currentUserName }}
        </h4>
        <br>
        <div>
          <button (click)="addPatient()" class="btn btn-info">Ajouter un Patient</button>
        </div>
        <br>
        <!--<div>
          <button (click)="updatePatient()" class="btn btn-info">Modifier un patient</button>
        </div>-->
        <div>
          <button (click)="listePatient()" class="btn btn-info">Liste des soignants</button>
        </div>
        <br>
        <div>
          <button (click)="addSoignant()" class="btn btn-info">Ajouter un soignant</button>
        </div>
        <br>
        <div>
          <button (click)="addAppareil()" class="btn btn-info">Ajouter un Appareil</button>
        </div>
        <br>
        <button (click)="disco()" class="btn btn-info">Deconnexion</button>
      </div>
    </div>
    <div class="main-table">
      <h2>liste des Patients</h2>
      <div class="table-responsive table-container">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Rechercher un patient" [(ngModel)]="filterTerm">
        </div>
        <table class="table table-dark table-hover table-striped">
          <thead class="thead-light">
          <tr>
            <th>Nom</th>
            <th>Prenom</th>
            <th>Date de naissance</th>
            <th>Sex</th>
            <th>Service</th>
            <th>Etage</th>
            <th>N° de chambre</th>
            <th>N° de lit</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let patient of patients | filter:filterTerm">
            <td>{{patient.lastName}}</td>
            <td>{{patient.firstName}}</td>
            <td>{{patient.dateOfBirthday}}</td>
            <td>{{patient.sex}}</td>
            <td>{{patient.service}}</td>
            <td>{{patient.floor}}</td>
            <td>{{patient.numberOfRoom}}</td>
            <td>{{patient.numberOfBed}}</td>
            <td>
              <!--<button (click)="showPatient(patient.id)" style="margin-left: 20px;" class="btn btn-info"> Afficher</button>-->
              <button (click)="deletePatient(patient)" style="margin-left: 20px;" class="btn btn-info"> Supprimer</button>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>

